Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 920422 - media-sound/strawberry-1.0.22: add qt6 support, fix incorrect dependencies
Summary: media-sound/strawberry-1.0.22: add qt6 support, fix incorrect dependencies
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Gentoo Sound Team
URL:
Whiteboard:
Keywords: EBUILD
Depends on: 925665
Blocks:
  Show dependency tree
 
Reported: 2023-12-20 19:52 UTC by Gino McCarty
Modified: 2024-03-13 11:46 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
media-sound/strawberry-1.0.22-r1.ebuild (strawberry-1.0.22.ebuild,3.22 KB, text/plain)
2023-12-20 19:52 UTC, Gino McCarty
Details
dev-qt/kdsinglespplication-1.0.0.ebuild (kdsingleapplication-1.0.0.ebuild,814 bytes, text/plain)
2023-12-20 19:54 UTC, Gino McCarty
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gino McCarty 2023-12-20 19:52:18 UTC
Several issues fixed here

- add qt6 support (has been supported for some time)
- make hard media-plugs/gst-plugins-soup requirement optional, nowhere in upstream code does this dependency exist, all internet streaming works fine without it.




Reproducible: Always
Comment 1 Gino McCarty 2023-12-20 19:52:45 UTC
Created attachment 880100 [details]
media-sound/strawberry-1.0.22-r1.ebuild
Comment 2 Gino McCarty 2023-12-20 19:54:27 UTC
Created attachment 880101 [details]
dev-qt/kdsinglespplication-1.0.0.ebuild
Comment 3 Alfred Wingate 2023-12-21 06:38:54 UTC
You can also use pull requests on GitHub to get changes applied. With GitHub the interface would be better for getting reviewed.

https://wiki.gentoo.org/wiki/GitHub_Pull_Requests
Comment 4 Miroslav Šulc gentoo-dev 2024-01-10 09:36:53 UTC
yes, it would be really better for me to handle it on github if that's possible.
Comment 5 jms 2024-02-14 06:23:15 UTC
I did test the build from  Gino McCarty on my local repository.
build fine with or without 
dev-qt/kdsinglespplication-1.0.0.ebuild 
witch is in guru repository

about kdsinglespplication no clue what is for.

I probably misunderstood but I thought kdsinglespplication was also needed for qt5.
I built with
(cdda gstreamer icu mtp pulseaudio qt6 udisks vlc -debug -ipod -moodbar -soup)

warning I have a bug with gentoo repository version of media-sound/strawberry 
1.0.22, 1.0.23
and with this build too
"delete from disk" action does not delete file from disk
don't know if it's only me ,gentoo or upstream.
https://github.com/strawberrymusicplayer/strawberry/issues/1375
Comment 6 Gino McCarty 2024-02-14 06:39:03 UTC
Thanks for looking at this @jms

Look like if we don't include kdsingleapplication its built internally
here: https://github.com/strawberrymusicplayer/strawberry/blob/05381096aa47b04117254f09d5954c0b2ab801ff/CMakeLists.txt#L312

I'm not thrilled about being proxy maintainer for a new app in the tree but I don't mind doing it.

https://github.com/gentoo/gentoo/pull/34512

If we really want maybe just let the 3rd party build continue? feels very un-gentoo to do that though..


(In reply to jms from comment #5)
> I did test the build from  Gino McCarty on my local repository.
> build fine with or without 
> dev-qt/kdsinglespplication-1.0.0.ebuild 
> witch is in guru repository
> 
> about kdsinglespplication no clue what is for.
> 
> I probably misunderstood but I thought kdsinglespplication was also needed
> for qt5.
> I built with
> (cdda gstreamer icu mtp pulseaudio qt6 udisks vlc -debug -ipod -moodbar
> -soup)
> 
> warning I have a bug with gentoo repository version of
> media-sound/strawberry 
> 1.0.22, 1.0.23
> and with this build too
> "delete from disk" action does not delete file from disk
> don't know if it's only me ,gentoo or upstream.
> https://github.com/strawberrymusicplayer/strawberry/issues/1375
Comment 7 jms 2024-02-23 16:24:34 UTC
(In reply to Gino McCarty from comment #6)
> Thanks for looking at this @jms
you're welcome
I wonder why  it takes so long for this ebuild to be pushed
> 
> Look like if we don't include kdsingleapplication its built internally
> here:
> https://github.com/strawberrymusicplayer/strawberry/blob/
> 05381096aa47b04117254f09d5954c0b2ab801ff/CMakeLists.txt#L312
> 
> I'm not thrilled about being proxy maintainer for a new app in the tree but
> I don't mind doing it.
> 
> https://github.com/gentoo/gentoo/pull/34512
> 
> If we really want maybe just let the 3rd party build continue? feels very
> un-gentoo to do that though..
As basic user I feel this being un-gentoo
to me if it's an external to the software it should be apart and  if it's no required no be build if we don't have it/want it...

Again thanks for theses ebuilds
Comment 8 jms 2024-02-27 21:55:50 UTC
about kdsingleapplication
It will be a dependency anyway in the future
https://forum.strawberrymusicplayer.org/topic/1441/why-not-make-kdsingleapplication-required-in-cmake

archlinux already has it
https://archlinux.org/packages/extra/x86_64/kdsingleapplication/

and include it in its strawberry build
https://archlinux.org/packages/extra/x86_64/strawberry/

@Gino McCarty
maybe you should change this bug's title and remove the -1.0.22 
as this build issue is more for current and future strawberry build
Comment 9 Larry the Git Cow gentoo-dev 2024-03-13 11:45:34 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=526ce204e4951b800ee8bf21732f208db2496042

commit 526ce204e4951b800ee8bf21732f208db2496042
Author:     Miroslav Šulc <fordfrog@gentoo.org>
AuthorDate: 2024-03-13 11:45:19 +0000
Commit:     Miroslav Šulc <fordfrog@gentoo.org>
CommitDate: 2024-03-13 11:45:31 +0000

    media-sound/strawberry: added qt6 support + fixed deps
    
    Closes: https://bugs.gentoo.org/920422
    Signed-off-by: Miroslav Šulc <fordfrog@gentoo.org>

 media-sound/strawberry/metadata.xml                |   1 +
 media-sound/strawberry/strawberry-1.0.23-r1.ebuild | 129 +++++++++++++++++++++
 2 files changed, 130 insertions(+)
Comment 10 Miroslav Šulc gentoo-dev 2024-03-13 11:46:54 UTC
thanks!